semigroupoids-6.0.0.1: Semigroupoids: Category sans id

Copyright | (C) 2011-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | non-portable (flexible MPTCs)
Safe Haskell | Safe
Language | Haskell2010

Data.Semigroupoid.Ob

Description

# Documentation

class Semigroupoid k1 => Ob (k1 :: k -> k -> Type) (a :: k) where #

Methods

semiid :: k1 a a #

#### Instances

Instances details

(Bind m, Monad m) => Ob (Kleisli m :: Type -> Type -> Type) (a :: Type) # |
Instance details Defined in Data.Semigroupoid.Ob Methods semiid :: Kleisli m a a #
(Extend w, Comonad w) => Ob (Cokleisli w :: Type -> Type -> Type) (a :: Type) # |
Instance details Defined in Data.Semigroupoid.Ob Methods semiid :: Cokleisli w a a #
Ob (->) (a :: Type) # |
Instance details Defined in Data.Semigroupoid.Ob Methods semiid :: a -> a #